@extends('layouts.app')
@section('title', 'الحسابات البنكية')
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            الحسابات البنكية
        </h1>
        <div style=" margin-bottom: 10px;" class="pull-right">
            <a onclick="window.print();" href="javascript:void(0)" class="btn btn-primary print pull-right"><i
                    class="fa fa-print" aria-hidden="true"></i> طباعة</a>
            <button id="pdf-button" class="btn btn-success print-window pull-right"><i class="fa fa-file-pdf-o"
                    aria-hidden="true"></i> تحميل PDF</button>
        </div>
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h4>الحسابات البنكية</h4>
                    </div>
                    <div class="box-body">
                        {{-- @include('layouts.partial.printHeader') --}}
                        <table class="table table-bordered table-strip text-center">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>@lang('front.bankname')</th>
                                    <th>@lang('front.accountNumber')</th>
                                    <th>الإيبان</th>
                                    <th>السويفت كود</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($banks as $bank)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $bank->name }}</td>
                                        <td>{{ $bank->number }}</td>
                                        <td>{{ $bank->iban }}</td>
                                        <td>{{ $bank->swift_code }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
@push('css')
    <style>
        ul li b {
            float: {{ app()->getLocale() == 'ar' ? 'right' : 'left' }};
        }

        @media print {

            .printHeader {
                display: block !important;
            }

            a[href]:after {
                content: none !important;
                display: none !important;
            }

            .main-footer,
            .dt-buttons,
            .dataTables_filter {
                display: none;
                display: none !important;
            }

            #footer {
                visibility: visible;
                display: none !important;
            }

            a {
                visibility: hidden;
                display: none !important;
            }

            .table {
                border: 1px solid black !important;
                font-weight: bold;
            }

            .table td,
            .table thead tr th {
                border: 1px solid black !important;
            }

            tfoot {
                display: table-row-group
            }

            @media print {
                .printHeader {
                    display: block !important;
                }

                table {
                    font-size: {{ $settings['PrintSize'] }}px !important;
                }

                @page {
                    margin: .1cm;
                }

                body {
                    margin: .1cm;
                }

                .panel-default {
                    border: none;
                }

                .hideprint {
                    visibility: hidden;
                    margin: 0;
                    display: none !important;
                }
            }

            html,
            body {
                height: 100vh;
                width: 100vh;
                margin: 0px !important;
                padding-right: 5px !important;
                /*overflow: hidden;*/
            }

            @page {
                size: auto;
                height: auto;
                margin-left: 0cm;
                margin-right: 0px;
                margin-top: 0cm;
                margin-bottom: 0px;
                padding: 0cm !important;
            }
        }

        .ticket.A5,
        table {
            max-width: 21cm;
            width: 21cm;
        }

        .ticket.A4,
        table {
            max-width: 29.7cm;
            width: 29.7cm;
        }
    </style>
@endpush
