<div class="row">
    <div class="col-xs-12">
        <div class="box">
            <div class="box-header">
                <h3 class="box-title"> @lang('front.report')
                    {{ ' | ' . request()->fromdate . ' | ' . request()->todate }}
                </h3>
            </div>
            <div class="box-body">
                <table class="table table-bordered">
                    <thead>
                        @if (auth()->user()->employee_id)
                            <tr>
                                <td class="bg-danger">إجمالى المبيعات</td>
                                <td class="hideprint hide">إجمالى الربح</td>
                                <td class="hideprint">
                                    @if ($employee->is_percent)
                                        @lang('front.percentage')
                                    @else
                                        قيمه ثابته
                                    @endif
                                </td>
                                <td class="hideprint">نسبة ع الربح</td>
                                <td> @lang('front.Returns')</td>
                                <td>@lang('front.discounts')</td>
                                <td>@lang('front.expenses')</td>
                                <td>@lang('front.rewards')</td>
                                <td>الصافي ع الربح</td>
                            </tr>
                        @else
                            <tr>
                                @if ($employee->type == 'normal')
                                    <td>@lang('front.Salary')</td>
                                @else
                                    <td class="bg-danger">إجمالى المبيعات</td>
                                    <td>إجمالى تحصيلات</td>
                                    @if (auth()->user()->can('profit HomeController'))
                                        <td class="hideprint">إجمالى الربح</td>
                                    @endif
                                    <td>
                                        @if ($employee->is_percent)
                                            @lang('front.percentage')
                                        @else
                                            قيمه ثابته
                                        @endif
                                    </td>
                                    @if (auth()->user()->can('profit HomeController'))
                                        <td class="hideprint">نسبة ع الربح</td>
                                    @endif
                                    <td class="hideprint">النسبة ع المبيعات</td>
                                    <td> @lang('front.Returns')</td>
                                @endif

                                <td>@lang('front.discounts')</td>
                                <td>@lang('front.expenses')</td>
                                <td>@lang('front.rewards')</td>
                                <td class="hideprint">الصافى ع المبيعات</td>
                                <td>الصافي ع الربح</td>
                            </tr>
                        @endif
                    </thead>
                    <tbody>
                        @php
                            $totalpunishments = (int) $punishments->sum('value');
                            $paymentsTransactions = $paymentsTransactions->sum('value');
                            $totalexpenses = (int) $expenses->sum('value');
                            $totalrewards = (int) $rewards->sum('value');
                            $allorder = 0;
                            $totalReturns = 0;
                            $totalSaleReturnsOrder = [];
                            $grandTotalOrder = 0;
                            $grandByprofit = 0;
                            if ($employee->type == 'normal') {
                                $netSalary = $employee->salary + $totalrewards - ($totalpunishments + $totalexpenses);
                            } else {
                                if ($employee->type == 'markter') {
                                    $totalOrder = $employee->marketProduct->groupBy('currency')->map(function ($row) {
                                        return $row->sum('total');
                                    });
                                } else {
                                    /*$totalOrder = $employee->saleOrders->groupBy('currency')->map(function ($row) {
                                return $row->sum('total');
                            });*/
                                    $orders = $employee
                                        ->saleOrders()
                                        ->join('order_detailes', function ($join) {
                                            $join->on('orders.id', '=', 'order_id');
                                        })
                                        ->select(
                                            DB::raw(
                                                'sum( ((qty - return_qty) * price) - ((qty - return_qty) * cost))-discount_value as totalOrder,sum((qty - return_qty) * price)-discount_value as grandTotalOrder',
                                            ),
                                        );
                                    $from = request('fromdate');
                                    $to = request('todate');
                                    $employeeOrder = $employee->saleOrders();
                                    if ($from) {
                                        $orders->whereRaw("DATE(orders.invoice_date) >= '{$from}'");
                                        $employeeOrder->whereRaw("DATE(orders.invoice_date) >= '{$from}'");
                                    }
                                    if ($to) {
                                        $orders->whereRaw("DATE(orders.invoice_date) <= '{$to}'");
                                        $employeeOrder->whereRaw("DATE(orders.invoice_date) <= '{$to}'");
                                    }
                                    $orders = $orders->first();
                                    //dd($orders->totalOrder);
                                    $allorder = $orders->totalOrder ?? 0;
                                    //$allorder-=$sumDiscount;
                                    $grandTotalOrder = $orders->grandTotalOrder ?? 0;
                                    $totalReturns = $employee->saleReturnsOrder->sum('sales_value');
                                }
                                //dd($grandTotalOrder);
                                if ($employee->is_percent) {
                                    $orderPercent = $grandTotalOrder * ($employee->percent / 100);
                                    $profitPercent = $allorder * ($employee->percent / 100);
                                } else {
                                    $orderCount = $employeeOrder->count();
                                    $orderPercent = $employee->percent * $orderCount;
                                    $profitPercent = $employee->percent * $orderCount;
                                }
                                $orderPercent = round($orderPercent, 2);
                                $profitPercent = round($profitPercent, 2);
                                $netSalary = $orderPercent + $totalrewards - ($totalpunishments + $totalexpenses);
                                $allorder = $allorder
                                    ? currency($allorder, 'EGP', 'EGP', $format = true)
                                    : currency(0, 'EGP', 'EGP', $format = true);
                                $netSalary -= $totalReturns;
                                $netSalary = currency($netSalary, 'EGP', 'EGP', $format = true);
                                $grandTotalOrder = currency($grandTotalOrder, 'EGP', 'EGP', $format = true);
                                $grandByprofit = $profitPercent + $totalrewards - ($totalpunishments + $totalexpenses);
                                $grandByprofit -= $totalReturns;
                                $grandByprofit = currency($grandByprofit, 'EGP', 'EGP', $format = true);
                            }
                        @endphp
                        @if (auth()->user()->employee_id)
                            <tr>
                                <td class="bg-danger">
                                    {{ $grandTotalOrder }}
                                    @if (!$employee->is_percent)
                                        <br />
                                        عدد الفواتير : {{ $orderCount }}
                                    @endif
                                </td>
                                <td class="hideprint hide">{{ $allorder }}</td>
                                <td class="hideprint">{{ $employee->percent }}
                                    {{ $employee->is_percent ? ' % ' : ' ج.م' }}
                                </td>
                                <td class="hideprint">{{ $profitPercent }}</td>
                                <td>{{ currency($totalReturns, 'EGP', 'EGP', $format = true) }}</td>
                                <td>{{ $totalpunishments }}</td>
                                <td>{{ $totalexpenses }}</td>
                                <td>{{ $totalrewards }}</td>
                                <td>{{ $grandByprofit }}</td>
                            </tr>
                        @else
                            <tr>
                                @if ($employee->type == 'normal')
                                    <td> {{ $employee->salary }}</td>
                                @else
                                    <td class="bg-danger">{{ $grandTotalOrder }}</td>
                                    <td>{{ abs($paymentsTransactions) }}</td>
                                    @if (auth()->user()->can('profit HomeController'))
                                        <td class="hideprint">{{ $allorder }}</td>
                                    @endif
                                    <td>{{ $employee->percent }}
                                        {{ $employee->is_percent ? ' % ' : ' ج.م' }}

                                    </td>
                                    @if (auth()->user()->can('profit HomeController'))
                                        <td class="hideprint">{{ $profitPercent }}</td>
                                    @endif
                                    <td class="hideprint">
                                        {{ currency($orderPercent, 'EGP', 'EGP', $format = true) }}
                                    </td>
                                    <td>{{ currency($totalReturns, 'EGP', 'EGP', $format = true) }}</td>
                                @endif

                                <td>{{ $totalpunishments }}</td>
                                <td>{{ $totalexpenses }}</td>
                                <td>{{ $totalrewards }}</td>
                                <td class="hideprint">{{ $netSalary }}</td>
                                <td>{{ $grandByprofit }}</td>
                            </tr>
                        @endif
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
